
QGIS Application - Bug report #14341

Processing: Build Virtual Raster requires loading of all source files
Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GDAL

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 22328

Description

This is highly impractical. The approach of GDALTools is more reasonable, being able to load files or an entire directory from filesystem,

without loading the layer into the canvas first.

Related issues:

Related to QGIS Application - Feature request # 13871: "build virtual vector"... Closed 2015-11-24

History

#1 - 2016-02-22 01:28 AM - Alexander Bruy

Unfortunately current intplementation of the multiple input parameter in Processing does not allow to choose both layers and files. Currently we can only

change algorithm, so it will work with files, not layers.

Support for both layers and files in multiple input parameter can be a task for future releases.

#2 - 2016-03-15 09:05 PM - Mathieu Pellerin - nIRV

Glad this has been filed already. IMO, I would see the lack of implementation as a blocker to move forward with replacing the gdal plugin with processing

menu entries (which I'm a huge fan of and hope it'll happen prior to the release of 2.16 :) )

Having to load rasters to simply have those be combined into a virtual raster is needlessly costly, and can be quite a burden on slower machines / CPUs.

You can alleviate some of that by unchecking the [x] render check box, but that's not such a great UX.

#3 - 2016-05-24 09:39 AM - Alexander Bruy

- Status changed from Open to Closed

Closing this in favor of generic ticket #14641

#4 - 2016-12-27 07:03 AM - Giovanni Manghi

- Resolution set to duplicate

2024-03-20 1/1


